<?php

namespace Drupal\whatsappintegration\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class PhoneNumber
 * 
 * @package Drupal\whatsappintegration\Form
 */
class PhoneNumber extends ConfigFormBase {

    /**
     * {@inheritdoc}
     */
    public function getFormId() {
        return 'add_image_form';
    }

    /**
     * {@inheritdoc}
     */
    protected function getEditableConfigNames() {
        return [
            'whatsapp.settings', // The name of the config you want to edit
        ];
    }

     /**
     * {@inheritdoc}
     */
    public function buildForm(array $form, FormStateInterface $form_state) {

        $form['phone_number'] = array(
            '#type' => 'textfield',
            '#attributes' => array(
                ' type' => 'number', // insert space before attribute name :)
            ),
            '#title' => 'Teléfono',
            '#name' => 'phone_number',
            '#description' => $this->t(''),
            '#required' => TRUE,
            '#maxlength' => 9
        );
      
        // Botón submit del formulario
        $form['submit'] = array(
            '#type' => 'submit',
            '#value' => 'Guardar',
            '#attributes' => [
                'class' => array(
                    'btn-apply',
                ),
            ],
        );

        return $form;
    }


    /**
     * {@inheritdoc}
     */
    public function validateForm(array &$form, FormStateInterface $form_state) {
        parent::validateForm($form, $form_state);
    }

    /**
     * {@inheritdoc}
     */
    public function submitForm(array &$form, FormStateInterface $form_state) {
        // Crear variable globar con el número de teléfono recogido en el formulario
        $this->config('whatsapp.settings')->set('phone_number', $form_state->getValue('phone_number'))->save();
        parent::submitForm($form, $form_state);
    }
}